OMNotebook: IAEX::NotebookSocket Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::NotebookSocket Class Reference

Handles communication with other instances (processes) of the application using tcp sockets. More...

List of all members.

## Public Member Functions
| ~NotebookSocket ()
| The class destructor.
bool | connectToNotebook ()
| Try to connect with other notebook instance, if succesfull the function will return true. If unable to connect the function trys to start a server (that waits for incomming communiction). Returns false if successful in setting up the loop. If both attemps fails the function throws an exception.
bool | closeNotebookSocket ()
| Closes socket and dose clean up.
bool | sendFilename (QString filename)
| Sends a filename to the main/correct process, returns true on success - otherwise false.

## Detailed Description

Handles communication with other instances (processes) of the application using tcp sockets.

Author:
  Anders Fernström

Date:
  2006-05-03

## Constructor & Destructor Documentation

IAEX::NotebookSocket::~NotebookSocket | ( |  | ) |

| The class destructor. Author: Anders Fernström Date: 2006-05-03

## Member Function Documentation

bool IAEX::NotebookSocket::closeNotebookSocket | ( |  | ) |

| Closes socket and dose clean up. Author: Anders Fernström Date: 2006-05-03

bool IAEX::NotebookSocket::connectToNotebook | ( |  | ) |

| Try to connect with other notebook instance, if succesfull the function will return true. If unable to connect the function trys to start a server (that waits for incomming communiction). Returns false if successful in setting up the loop. If both attemps fails the function throws an exception. Author: Anders Fernström Date: 2006-05-03

bool IAEX::NotebookSocket::sendFilename | ( | QString | filename | ) |

| Sends a filename to the main/correct process, returns true on success - otherwise false. Author: Anders Fernström Date: 2006-05-03

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/notebooksocket.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/notebooksocket.cpp